%global git_date  20241202
%global git_hash  d242c47
%global git_ver  1.5.0

%global rel  1
%global src_name %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           dav1d
Version:    %{git_ver}^%{git_date}g%{git_hash}
Release:    %{rel}%{?dist}
Summary:        AV1 cross-platform Decoder

License:        BSD
URL:            https://code.videolan.org/videolan/dav1d
Source0:        %{url}/%{src_name}

BuildRequires:  gcc make
BuildRequires:  nasm
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  meson >= 0.49.0
BuildRequires:  pkgconfig(libxxhash)
BuildRequires:  git

Requires:       libdav1d%{?_isa} = %{version}-%{release}

%description
dav1d is a new AV1 cross-platform Decoder, open-source, and focused on speed
and correctness.

%package -n libdav1d
Summary:        Library files for dav1d

%description -n libdav1d
Library files for dav1d, the AV1 cross-platform Decoder.

%package -n libdav1d-devel
Summary:        Development files for dav1d
Requires:       libdav1d%{?_isa} = %{version}-%{release}

%description -n libdav1d-devel
Development files for dav1d, the AV1 cross-platform Decoder.

%prep
%autosetup -p1 -n %{name}

%build
%meson -Denable_docs=true
%meson_build 

%install
%meson_install

%check
%meson_test

%files
%doc CONTRIBUTING.md NEWS README.md
%{_bindir}/dav1d

%files -n libdav1d
%license COPYING doc/PATENTS
%{_libdir}/libdav1d.so.*

%files -n libdav1d-devel
%{_includedir}/dav1d/
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/dav1d.pc

%changelog
%autochangelog
